Name:           tigase-server
Version:        5.0.4
Release:        1%{?dist}
Summary:        Tigase Server

Group:          Development/Libraries
License:        GPLv3
URL:            http://www.tigase.org/
# The source for this package was pulled from upstream's vcs.
# Use the following commands to generate the tarball:
#  svn export -r 2407 https://svn.tigase.org/reps/%{name}/trunk/ %{name}-%{version}
#  tar -cjvf %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:        %{name}-%{version}.tar.bz2  
Patch0:         %{name}-RH-build.patch

BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.6.0
# Add otherwise superfluous ant-nodeps dependency
# https://bugzilla.redhat.com/show_bug.cgi?id=592035
BuildRequires:  ant ant-contrib ant-apache-regexp ant-nodeps
BuildRequires:  tigase-xmltools tigase-utils xml-commons-apis
Requires:       mysql-connector-java
Requires:       logrotate
Requires:       jpackage-utils
Requires:       java >= 1.6.0
Requires(postun): initscripts

%description
Tigase is pure Java 1.6.0 XMPP high-performance server based on highly
modular design.

Install this package if you need XMPP server.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1 -b .RH-build
find . -name \*.jar -print -delete

%build
export CLASSPATH=$(build-classpath ant/ant-contrib)
ls /usr/share/java/
build-jar-repository -p libs tigase-utils tigase-xmltools
ls -l libs/
ant -Dbuild-no=2262 jar-dist docs

cat <<EOS >tigase-logrotate
/var/log/tigase/*.log {
    rotate 5
    size 1M
    missingok
    notifempty
}
EOS

# Move groovy scripts to the build directory to be installed in %doc
cp -rp src/main/groovy .
find groovy -type f -exec chmod -x '{}' \;

find . -exec chmod g-s '{}' \;

%install
rm -rf $RPM_BUILD_ROOT

# Install main jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p jars/%{name}.jar   \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# Install javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs/api/  \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Install additional scripts for the initial configuration of
# database
mkdir -p $RPM_BUILD_ROOT%{_datadir}/tigase/scripts/
rm -rf scripts/{gentoo,debian}
install -p -m 755 scripts/*.sh \
    $RPM_BUILD_ROOT%{_datadir}/tigase/scripts/
cp -rp database \
    $RPM_BUILD_ROOT%{_datadir}/tigase/
find $RPM_BUILD_ROOT%{_datadir}/tigase/ -size 0 -delete

# Initscript
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -p -m 755 scripts/mandriva/init.d/tigase \
    $RPM_BUILD_ROOT%{_initrddir}/tigase

# Setup configuration files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tigase/
cp -rp etc/*.{properties,defaults,conf,acl,access,password}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/tigase/
chmod 0755 $RPM_BUILD_ROOT%{_sysconfdir}/tigase

# Install certificates
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/tigase/
cp -rp certs/* \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/tigase/

# Make logrotate working
install -p -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -p -D -m 644 tigase-logrotate \
    $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/tigase

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/{lib,log}/tigase/

find $RPM_BUILD_ROOT -type d -exec chmod 0755 '{}' \;

%clean
rm -rf $RPM_BUILD_ROOT

%check
# Doesn't work as we have no wttools from
# http://sourceforge.net/projects/wttools/
# ant run-unittests

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add tigase

%preun
if [ $1 = 0 ] ; then
    /sbin/service tigase stop >/dev/null 2>&1
    /sbin/chkconfig --del tigase
fi
if [ "$1" -ge "1" ] ; then
    /sbin/service tigase condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README groovy/
%config(noreplace) %{_sysconfdir}/tigase/
%config(noreplace) %{_sysconfdir}/pki/tigase/
%config(noreplace) %{_sysconfdir}/logrotate.d/tigase
%{_initrddir}/tigase
%{_javadir}/*
%{_localstatedir}/lib/tigase/
%{_localstatedir}/log/tigase/
%{_datadir}/tigase/

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Wed Oct 20 2010 Matěj Cepl <mcepl@redhat.com> - 5.0.4-1
- New upstream release.

* Mon Aug 30 2010 Matěj Cepl <mcepl@redhat.com> - 5.0.0-0.4.20100527svn
- Bits missing.

* Sat Aug 07 2010 Matěj Cepl <mcepl@redhat.com> - 5.0.0-0.3.20100527svn
- Another round of packaging review changes.

* Tue Aug 03 2010 Matěj Cepl <mcepl@redhat.com> - 5.0.0-0.2.20100527svn
- Changes for packaging review.

* Tue Jul 30 2010 Matěj Cepl <mcepl@redhat.com> - 5.0.0-1
- Initial packaging effort
